来自: 首页 » Coder Life » Linux » CentOS/RHEL 安装并保持 composer /npm为最新版本

CentOS/RHEL 安装并保持 composer /npm为最新版本

CentOS/RHEL 为了保证稳定性,对包版本的态度相当保守。

比较推荐的做法是在使用稳定版的基础上,通过添加rpm源,继续使用yum管理npm;通过直接下载安装composer的官网提供版本,之后使用自带的composer self-update进行更新

Node.js/NPM

一、添加rpm源,使用yum进行管理

1、最新版

先去官网查询最新版的版本号,当前为14.2.0,然后执行以下命令,并将命令中的版本号改为对应的版本号,我目前是14.*版本,所以我的命令是:

sudo yum clean all # 清理yum缓存
sudo rm -fv /etc/yum.repos.d/nodesource* # 清理其他node源
curl --silent --location https://rpm.nodesource.com/setup_14.x | sudo bash 
sudo yum install -y nodejs # 安装 nodejs

2、稳定版

同理,先去官网查询最新的稳定版版本号,当前为12.16.3 LTS,所以我执行的命令是:

sudo yum clean all # 清理yum缓存
sudo rm -fv /etc/yum.repos.d/nodesource* # 清理其他node源
curl --silent --location https://rpm.nodesource.com/setup_12.x | sudo bash 
sudo yum install -y nodejs # 安装 nodejs

×可选:更换为npm淘宝镜像,保证国内使用速度

sudo npm config set registry http://registry.npm.taobao.org/

更新大版本,需要重新添加rpm源为最新版本对应的,并重新执行上面的步骤

二、通过npm命令更新

接上,使用的命令为

sudo npm install -g npm

Composer

composer和npm不同,不需要额外使用rpm进行管理,在需要更新的时候composer self-update即可

php -r "copy('https://install.phpcomposer.com/installer', 'composer-setup.php');"
php composer-setup.php
php -r "unlink('composer-setup.php');"
sudo mv composer.phar /usr/local/bin/composer

×可选:更换为Packagist/ Composer 中国镜像

composer config -g --unset repos.packagist
composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

发表评论

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据